internal class Weapon {

    public enum WEAPON_TYPE {
        SWORD,
        SPEAR,
        BOW,
        CROSSBOW,
        AXE
    }

    public enum DAMAGE_TYPE {
        PIERCING,
        BLUNT,
        SLASHING
    }

    public Weapon(Weapon.WEAPON_TYPE type, Weapon.DAMAGE_TYPE damageType, Die attackDie) {
        this.attackDie = attackDie;
        this.damageType = damageType;
        this.weaponType = type;
    }

    Die attackDie;
    DAMAGE_TYPE damageType;
    WEAPON_TYPE weaponType;

    public Die GetAttackDie() {
        return attackDie;
    }

}